Make cstsdist behavior consistent with parameter interface
Description

While writing the cstsdist user documentation, | think | discovered an inconsistency between the script and the parameter interface.
From the parameter interface, | would have guessed that | can either provide an event list, a counts cube or an observation definition
file. Specifically, for the counts cube | would have expected from the expcube, psfcube, and bkgcube parameters that the script
works also on binned data.

However, | see that script derives from enumbins parameter whether a binned or unbinned simulation should be performed, but |
cannot see support for simulation of a stacked analysis. Specifically for that purpose, a ctools is in fact missing (there was issue #544
that develop ctpoisson).

My proposal would be to have cstsdist also work on stacked event cubes. For that purpose, a model cube would need first to be
computed (using ctmodel) based on the input model. The script should then simulate counts cubes from that model cube instead

History

#1 - 11/05/2015 11:34 AM - Mayer Michael

Does ctobssim work on model cubes?

#2 - 11/05/2015 11:49 AM - Knédlseder Jiirgen

No. ctobssim always produces event lists from an observation definition (either specified by the parameters or an XML file).

#3 - 11/05/2015 11:54 AM - Mayer Michael

| understand, so the idea is to simulate and bin the events afterwards.

#4 - 11/05/2015 12:07 PM - Knodlseder Jiirgen

Mayer Michael wrote:

| understand, so the idea is to simulate and bin the events afterwards.

No, | would by-pass the ctobssim step for binned analysis and replace it by a (unique) ctmodel step, followed by a simulation of the counts cube using
the following code:

# Allocate random number generator
ran = gammalib.GRan()

# Load model map
map = gammalib.GSkymap(modmap)

# Randomize

for i in range(map.npix()):
mapli] = ran.poisson(mapli])
#5 - 11/05/2015 01:21 PM - Mayer Michael

Sounds good.

#6 - 06/21/2016 09:49 PM - Knodlseder Jiirgen

- Target version set to 1.2.0

#7 - 03/03/2017 10:49 AM - Knddlseder Jiirgen

- Target version changed from 1.2.0 to 1.3.0

#8 - 06/07/2017 05:49 PM - Knddliseder Jiirgen

- Target version changed from 1.3.0 to 1.4.0

#9 - 08/01/2017 09:55 AM - Knddlseder Jiirgen

- Target version changed from 1.4.0 to 1.5.0

#10 - 01/23/2018 04:25 PM - Knddliseder Jiirgen

The parameter interface was considerably revised, in particular the following parameters were removed: ra, dec, rad, coordsys, proj, emin, emax,
enumbins, tmin, tmax, npix and binsz.

The inobs parameter is now always queried.
The script now reads in an observation or an observation container and derives the TS distribution for a source based on that observation container.

So far the script supports unbinned, binned and stacked observations. If an observation definition XML file is specified the script assumes that all
observations are event lists. On/Off observations are not yet supported.

#11 - 01/23/2018 04:41 PM - Knédliseder Jiirgen
- Status changed from New to Pull request
- Assigned To set to Knédlseder Jiirgen

- % Done changed from 0 to 100

#12 - 01/23/2018 06:01 PM - Knddlseder Jiirgen

- Status changed from Pull request to Closed

Merged into devel.
